org.apache.cayenne.merge

## Class AbstractToDbToken

- java.lang.Object
- - org.apache.cayenne.merge.AbstractToDbToken

- All Implemented Interfaces:
    Comparable<MergerToken>, MergerToken
  Direct Known Subclasses:
    AddColumnToDb, AddRelationshipToDb, CreateTableToDb, DropColumnToDb, DropRelationshipToDb, DropTableToDb, SetAllowNullToDb, SetColumnTypeToDb, SetNotNullToDb, SetPrimaryKeyToDb, SetValueForNullToDb

      public abstract class AbstractToDbToken
      extends Object
      implements MergerToken, Comparable<MergerToken>

  Common abstract superclass for all `MergerToken`s going from the model to the database.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractToDbToken()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List<String>` | `createSql(DbAdapter adapter)`
    `void` | `execute(MergerContext mergerContext)`
    `protected void` | `executeSql(MergerContext mergerContext, String sql)`
    `MergeDirection` | `getDirection()` The direction of this token.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cayenne.merge.MergerToken

      `createReverse, getTokenName, getTokenValue`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### AbstractToDbToken

          public AbstractToDbToken()

  - ### Method Detail

    - #### getDirection

          public final MergeDirection getDirection()

      Description copied from interface: `MergerToken`
      The direction of this token. One of `MergeDirection.TO_DB` or `MergeDirection.TO_MODEL`
      Specified by:
        `getDirection` in interface `MergerToken`

    - #### execute

          public void execute(MergerContext mergerContext)

      Specified by:
        `execute` in interface `MergerToken`

    - #### executeSql

          protected void executeSql(MergerContext mergerContext,
                                    String sql)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### createSql

          public abstract List<String> createSql(DbAdapter adapter)

Copyright © 2001–2018 Apache Cayenne. All rights reserved.